1. Merchant Management
v2.1 (Sandbox)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Idempotent Requests
    • Webhook
    • Changelog 20260402
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Create Merchant
        POST
      • Get Merchant
        GET
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Get Bank Accounts
        • Add Bank Account
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • Upload File
      • getTnC
  1. Merchant Management

Create Merchant

POST
/v2.0/crm/addressBook/createMerchant
API Overview
ItemValue
API StatusRecommended
Current Versionv2.0
Backward CompatibilityYes
Applicable EnvironmentProduction
Applicable User RolesPSP

Description
This is the recommended API for creating a merchant.
Notes
The following are list of the supporting document of a CORPORATE and INDIVIDUAL for supportingDocuments:
CORPORATE
DocumentRemarks
Certificate of IncorporationColored copy
Certificate of Incumbency / Annual ReturnColored copy
Memorandum and Articles of Association / ConstitutionColored copy, signed copy and dated by one (1) Director on the first page
Shareholders ListE.g. latest Organisation chart (signed and dated), shareholders lists, detailing all effective shareholders of 25% or more
Proof of Business ActivityClient Invoices or Contracts within the last 6 months
Proof of SOW / SOFE.g. latest financial statement, copy of contact of sale, investment portfolio statement
Proof of Existing Holdings of FundsE.g. bank statement, screenshots of wallet balance, screenshots of transaction activity
Proof of Passport for all Directors, UBOs and Authorised SignatoriesScanned copy with at least six (6) months validity. Non-colored copy requires CTC
Proof of Residential Address for all Directors, UBOs and Authorised SignatoriesScanned copy, dated within the last three (3) months
INDIVIDUAL
DocumentsRemarks
Proof of PassportScanned copy with at least six (6) months validity. Non-colored copy requires CTC.
Proof of Residential AddressScanned copy, dated within the last three (3) months

Request

Authorization
Body Params application/json

Example
{
    "applicationType": 1,
    "merchantDetails": {
        "personalDetails": {
            "firstName": "string",
            "middleName": "string",
            "lastName": "string",
            "dateOfBirth": "string",
            "nationality": "string",
            "residentialAddress": {
                "country": "string",
                "state": "string",
                "city": "string",
                "postcode": "string",
                "addressLine1": "string",
                "addressLine2": "string"
            },
            "contactNumber": {
                "countryCode": "string",
                "phoneNumber": "string"
            },
            "email": "string",
            "taxResidency": "string"
        },
        "additionalPersonalDetails": {
            "occupation": "string",
            "purposesOfAccountOpening": [
                "Buy Crypto"
            ],
            "sourceOfFunds": [
                "Cryptocurrency Mining"
            ],
            "sourceOfWealth": [
                "Cryptocurrency Mining"
            ]
        },
        "supportingDocuments": [
            {
                "type": 1,
                "fileId": "string"
            }
        ]
    },
    "acceptedTnC": [
        "string"
    ],
    "clientReference": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v2.0/crm/addressBook/createMerchant' \
--header 'Content-Type: application/json' \
--data-raw '{
    "applicationType": 1,
    "merchantDetails": {
        "personalDetails": {
            "firstName": "string",
            "middleName": "string",
            "lastName": "string",
            "dateOfBirth": "string",
            "nationality": "string",
            "residentialAddress": {
                "country": "string",
                "state": "string",
                "city": "string",
                "postcode": "string",
                "addressLine1": "string",
                "addressLine2": "string"
            },
            "contactNumber": {
                "countryCode": "string",
                "phoneNumber": "string"
            },
            "email": "string",
            "taxResidency": "string"
        },
        "additionalPersonalDetails": {
            "occupation": "string",
            "purposesOfAccountOpening": [
                "Buy Crypto"
            ],
            "sourceOfFunds": [
                "Cryptocurrency Mining"
            ],
            "sourceOfWealth": [
                "Cryptocurrency Mining"
            ]
        },
        "supportingDocuments": [
            {
                "type": 1,
                "fileId": "string"
            }
        ]
    },
    "acceptedTnC": [
        "string"
    ],
    "clientReference": "string"
}'

Responses

🟢200Success
application/json
Body

Example
{
    "code": "100",
    "msg": "success",
    "data": {
        "applicationId": "55",
        "merchantDetails": {
            "participantCode": "B000010",
            "applicationType": 1,
            "clientReference": "sint",
            "merchantDetails": {
                "personalDetails": {
                    "name": "Josh Hartmann",
                    "dateOfBirth": "2025-03-29",
                    "nationality": "ipsum tempor ad",
                    "residentialAddress": {
                        "country": "non dolor",
                        "state": "Indiana",
                        "city": "Lefflerport",
                        "postcode": "29552",
                        "addressLine1": "elit cillum",
                        "addressLine2": "dolor esse velit minim"
                    },
                    "jobDesignation": "pariatur quis nulla occaecat"
                },
                "additionalPersonalDetails": {
                    "phoneNumber": "(696) 599-5440",
                    "emailAddress": "Wilburn.Schuster@gmail.com",
                    "employerName": "Kim Boyer",
                    "occupation": "commodo Ut minim incididunt",
                    "industry": 18,
                    "purposes": [
                        "Sell Crypto",
                        "Wealth Products (fiat)"
                    ],
                    "sourceOfFunds": [
                        "Other"
                    ],
                    "sourceOfWealth": [
                        "Other",
                        "Business Loan",
                        "Sale of Assets"
                    ]
                }
            },
            "requiredDocuments": [
                "nulla sit",
                "aliquip et dolor non dolor",
                "aliquip"
            ]
        },
        "status": 3,
        "createAt": 1731668221316
    }
}
Modified at 2026-04-02 09:19:19
Previous
Get Internal Transfer
Next
Get Merchant
Built with